<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOwnerPriceDirectLogisticCarsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('owner_price_direct_logistic_cars', function (Blueprint $table) {
            $table->id();
            $table->bigInteger("owner_price_direct_logistic_id")->index('opdl_opdlc_index')->comment("外键直发计费");
            $table->bigInteger("car_type_id")->index()->comment("车型");
            $table->decimal("base_fee",8,4)->nullable()->comment("起步费");
            $table->decimal("additional_fee",8,4)->comment("续费(元/KM)");
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('owner_price_direct_logistic_cars');
    }
}
